package eu.univento.maya.game;

import eu.univento.core.Core;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.maya.Maya;
import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.scheduler.BukkitRunnable;

/**
 * @author joethei
 * @version 0.1
 */
public class WarmupCounter extends BukkitRunnable{

    int time = 10;

    public void run() {
        if(Maya.getStage() == GameStage.Warmup) {
            for(CustomPlayer players : Core.getOnlinePlayers()) {
                players.sendTitle(1, 10, 1, "§6" + time, "");
                players.playSound(players.getEyeLocation(), Sound.ENTITY_ARROW_HIT, 1.0F, 1.0F);
            }
            if(time == 0) {
                Maya.setStage(GameStage.InGame);
                Maya.gameID = Maya.getInstance().getServer().getScheduler().scheduleSyncRepeatingTask(Maya.getInstance(), new GameCounter(), 20L, 20L);
                Bukkit.getScheduler().cancelTask(Maya.warmupID);
            }
            time--;
        }
        return;
    }

}
