package eu.univento.maya.game;

import eu.univento.core.Core;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.maya.Maya;
import eu.univento.maya.modules.Modules;
import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.scheduler.BukkitRunnable;

/**
 * runnable for lobby counter
 * @author joethei
 * @version 0.2
 */
public class LobbyCounter extends BukkitRunnable{

    int time = 60;

    public void run() {
        if(Maya.getStage() == GameStage.Lobby && Bukkit.getOnlinePlayers().size() >= Maya.getMinPlayers()) {
            for(CustomPlayer players : Core.getOnlinePlayers()) {
                players.setLevel(time);
                if(time == 30) {
                    Modules.generate();
                }
                if(time <= 10) {
                    players.playSound(players.getEyeLocation(), Sound.ENTITY_ARROW_HIT, 1.0F, 1.0F);
                }
            }

            if(time == 0) {
                Maya.setStage(GameStage.Warmup);
                Maya.warmupID = Maya.getInstance().getServer().getScheduler().scheduleSyncRepeatingTask(Maya.getInstance(), new WarmupCounter(), 20L, 20L);
                Bukkit.getScheduler().cancelTask(Maya.lobbyID);
            }
            time--;
        }
        return;
    }
}